BLKDISCARD(8)

NOM
blkdiscard – Abandonner des secteurs sur un périphérique

SYNOPSIS

blkdiscard [options] [-o position] [-l taille] périphérique

DESCRIPTION

blkdiscard est utilisé pour abandonner des secteurs sur un périphérique. C'est pratique pour les pilotes SSD (« solid-state drive ») et l'allocation fine et dynamique (« thinly-provisioned storage »). Contrairement à fstrim(8), cette commande est utilisée directement sur le périphérique bloc.

Par défaut, blkdiscard abandonnera tous les blocs sur le périphérique. Les options permettent de modifier ce comportement en fonction d'intervalle ou de taille, conformément aux explications suivantes.

Le paramètre périphérique est le chemin du périphérique bloc.

Attention : toutes les données de la région abandonnée sur le périphérique seront perdues !

OPTIONS

Les arguments position et taille peuvent être suivis des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-f, --force
    Désactiver toutes les vérifications. Depuis la version 2.36, le périphérique bloc est ouvert en mode exclusif (O_EXCL) par défaut pour éviter des conflits avec le système de fichiers monté ou un autre sous-système du noyau. L’option force désactive le mode d’accès exclusif.

-o, --offset position
    La position en octet dans le périphérique à partir de laquelle abandonner. La valeur fournie doit être alignée sur la taille des secteurs du périphérique. La valeur par défaut est zéro.

-l, --length taille
    Le nombre d'octets à abandonner (à partir du point de départ). La valeur fournie doit être alignée sur la taille des secteurs du périphérique. Si la valeur indiquée va au-delà de la fin du périphérique, blkdiscard s'arrêtera à la limite de taille du périphérique. La valeur par défaut prolonge la recherche jusqu'à la fin du périphérique.

-p, --step taille
    Le nombre d’octets à abandonner en une opération. Par défaut, tout est abandonné par un appel de l’ioctl.

-s, --secure
    Réaliser un abandon sûr. Un abandon sûr est comme un abandon ordinaire, à part que toutes les copies des blocs abandonnés qui ont été éventuellement créées par le ramasse-miettes seront aussi écrasées. Cela nécessite une prise en charge par le périphérique.

-z, --zeroout
    Remplir de zéro plutôt que d’abandonner.

-v, --verbose
    Afficher les valeurs alignées de position et taille. Si l’option --step est indiquée, la progression d’abandon est affichée toutes les secondes.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

AUTEURS

VOIR AUSSI

fstrim(8)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande blkdiscard fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.